# List Profiles

> Return a list of client profiles based on the provided search, filter, and pagination criteria.

Source: /admin/accounts-funding/client--profiles/accounts-service_-profile-list

## `GET /profiles`

**List Profiles**

Return a list of client profiles based on the provided search, filter, and pagination criteria.

Tags: `Client Profiles`

#### Query parameters

- `text` (string) — search text in firstname, lastname, email, phone and ID
- `page` (string) — The page number to return
- `pageSize` (string) — the max number of rows returned


### Responses

#### `200` — A successful response.

**Content-Type:** `application/json`

Page of matching profiles with pagination metadata.
- `profiles` (array)
  - items:
    The client profile
    - `id` (string)
    - `email` (string)
    - `firstName` (string)
    - `lastName` (string)
    - `ipAddress` (string)
    - `language` (string)
    - `address` (string)
    - `zipCode` (string)
    - `city` (string)
    - `state` (string)
    - `country` (string)
    - `phone` (string)
    - `company` (string)
    - `metaData` (string)
    - `birthDate` (string)
    - `timezone` (string)
    - `password` (string)
- `page` (string)
- `total` (string)
- `pages` (string)

#### `default` — An unexpected error response.

**Content-Type:** `application/json`

- `code` (integer)
- `message` (string)
- `details` (array)
  - items:
    - `@type` (string)

